Update account
curl --request PATCH \
--url https://dev.api.floris3.com/api/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://dev.api.floris3.com/api/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.api.floris3.com/api/accounts/{accountId}"
payload = {}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "INDIVIDUAL",
"communication": {
"email": "jsmith@example.com",
"email_confirmed": true
},
"bank_account": {
"account_holder": "<string>",
"bank": "<string>",
"bic": "<string>",
"country": "<string>",
"currency": "<string>",
"iban": "<string>"
},
"is_beneficiary": true,
"tax_information": {
"non_assessment_certificate": true,
"tax_identification_number": "<string>",
"is_subject_to_german_tax": true
},
"individual": {
"firstName": "<string>",
"lastName": "<string>",
"birth_date": "2023-12-25",
"birth_place": "<string>",
"citizenship": "<string>",
"gender": "",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>"
},
"company": {
"name": "<string>",
"registration_number": "<string>",
"legal_form": "<string>",
"vat_id": "<string>",
"incorporation_date": "2023-12-25",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"state": "<string>",
"country": "<string>",
"phone": "<string>"
},
"kyc": {
"status": "NEW"
},
"kyb": {
"status": "NEW"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}Accounts
Update account
Update account fields. Use the Individual tab for accounts with kyc updates, or the Company tab for accounts with kyb updates. Do not send both kyc and kyb in the same request.
PATCH
https://dev.api.floris3.com
/
api
/
accounts
/
{accountId}
Update account
Authorizations
Bearer access token from POST /api/auth
Headers
Unique key for safe retries. Max 128 characters.
Required string length:
1 - 128Path Parameters
accountId identifier
Body
application/json
- Individual
- Company
Hide child attributes
Hide child attributes
Required string length:
1 - 100Required string length:
1 - 100Required string length:
8 - 11ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
Required string length:
2Required string length:
3Required string length:
15 - 34Response
Success
Available options:
INDIVIDUAL, COMPANY Hide child attributes
Hide child attributes
Required string length:
1 - 100Required string length:
1 - 100Required string length:
8 - 11ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
Required string length:
2Required string length:
3Required string length:
15 - 34Hide child attributes
Hide child attributes
Required string length:
1 - 100Required string length:
1 - 100Date in YYYY-MM-DD format (ISO 8601 calendar date).
Required string length:
1 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
Required string length:
2Available options:
, F, M, D Required string length:
1 - 200Required string length:
1 - 100Required string length:
1 - 20Required string length:
1 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
Required string length:
2Required string length:
5 - 20Hide child attributes
Hide child attributes
Required string length:
1 - 200Required string length:
1 - 50Required string length:
1 - 50Required string length:
1 - 50Date in YYYY-MM-DD format (ISO 8601 calendar date).
Required string length:
1 - 200Required string length:
1 - 100Required string length:
1 - 20Required string length:
1 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
Required string length:
2Required string length:
5 - 20
